=== src/treeview/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Marco Martin <notmart@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(treeviewplugin URI "org.kde.kirigamiaddons.treeview" VERSION 1.0)

target_sources(treeviewplugin PRIVATE
    treeviewplugin.cpp
)

ecm_target_qml_sources(treeviewplugin SOURCES
    qml/BasicTreeItem.qml
    qml/TreeTableView.qml
    qml/TreeListView.qml
    qml/AbstractTreeItem.qml
    qml/TreeViewDecoration.qml
)

if (QT_MAJOR_VERSION EQUAL "5")
    ecm_target_qml_sources(treeviewplugin
        PRIVATE PATH
        styles/org.kde.desktop
        SOURCES
        qml5/styles/org.kde.desktop/TreeViewDecoration.qml
    )
else()
    ecm_target_qml_sources(treeviewplugin
        PRIVATE PATH
        styles/org.kde.desktop
        SOURCES
        qml/styles/org.kde.desktop/TreeViewDecoration.qml
    )
endif()


ecm_target_qml_sources(treeviewplugin
    PRIVATE PATH
    private
    SOURCES
    qml/private/InternalTreeListView.qml
    qml/private/InternalTreeTableView.qml
)

target_link_libraries(treeviewplugin PRIVATE
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::Qml
    Qt${QT_MAJOR_VERSION}::QuickControls2
)

ecm_finalize_qml_module(treeviewplugin DESTINATION ${KDE_INSTALL_QMLDIR})
