=== debian/changelog ===
kirigami-addons (0.11.0+p24.04+vstable+git20250831.2311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:11:06 +0000
