=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/@PACKAGE@-(0[\d\.]+)@ARCHIVE_EXT@
