## kirigami-addons 0.11.0+p24.04+vunstable+git20250831.2313

=== debian/changelog ===
kirigami-addons (0.11.0+p24.04+vunstable+git20250831.2313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 31 Aug 2025 23:13:28 +0000
