## kirigami-addons 1.4.0

=== debian/changelog ===
kirigami-addons (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to unstable so the package can migrate to
    testing.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Sep 2024 23:02:53 +0200

kirigami-addons (1.4.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (1.4.0).
  * Update build-deps and deps with the info from cmake.
  * New binary packages libkirigamiaddonsstatefulapp6 & qml6-module-org-
    kde-kirigamiaddons-statefulapp.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Mon, 16 Sep 2024 23:34:45 +0200

kirigami-addons (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 10 Sep 2024 22:27:38 +0200

kirigami-addons (1.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (1.3.0).

 -- Patrick Franz <deltaone@debian.org>  Wed, 26 Jun 2024 18:22:19 +0200

kirigami-addons (1.2.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (1.2.1).
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Fri, 21 Jun 2024 21:03:04 +0200

kirigami-addons (0.11.0-2) unstable; urgency=low

  * Source only upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 02 Jun 2024 15:29:18 +0200

kirigami-addons (0.11.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Update copyright.
  * Add new qml-module-org-kde-kirigami-addons-components,
    qml-module-org-kde-kirigami-addons-delegates,
    qml-module-org-kde-kirigami-addons-formcard, and
    qml-module-org-kde-kirigami-addons-settings packages for the new
    QML modules.

  [ Salvo 'LtWorf' Tomaselli ]
  * New upstream release.

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 20 May 2024 00:36:10 +0200
