=== debian/control ===
Source: kirigami-addons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>,
Build-Depends: cmake (>= 3.16.0),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.1.0~),
               libkf6config-dev (>= 6.1.0~),
               libkf6coreaddons-dev (>= 6.1.0~),
               libkf6globalaccel-dev (>= 6.1.0~),
               libkf6guiaddons-dev (>= 6.1.0~),
               libkf6i18n-dev (>= 6.1.0~),
               libkirigami-dev (>= 6.1.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/kirigami-addons/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons.git
Rules-Requires-Root: no

Package: kirigami-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kirigami-addons
 This package contains the data files shared by all the QML modules of
 kirigami-addons.

Package: kirigami-addons-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkirigamiaddonsstatefulapp6 (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-components (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-datetime (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-delegates (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-formcard (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-labs-components (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-settings (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-sounds (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-statefulapp (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-tableview (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-treeview (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Description: development files for kirigami-addons
 This package contains the development files of kirigami-addons.

Package: libkirigamiaddonsstatefulapp6
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: statefulapp library
 This package contains the kirigami-addons statefulapp library.

Package: qml6-module-org-kde-kirigamiaddons-components
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qtmultimedia,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: components module for QML
 This package contains the treeview QML module.
 A runtime QML module providing components utilities.

Package: qml6-module-org-kde-kirigamiaddons-datetime
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Description: datetime module for QML
 This package contains the datetime QML module.
 A runtime QML module providing date and time utilities.

Package: qml6-module-org-kde-kirigamiaddons-delegates
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Description: delegates module for QML
 This package contains the treeview QML module.
 A runtime QML module providing delegates utilities.

Package: qml6-module-org-kde-kirigamiaddons-formcard
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kirigami,
         qml6-module-qt-labs-platform,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: formcard module for QML
 This package contains the treeview QML module.
 A runtime QML module providing formcard utilities.

Package: qml6-module-org-kde-kirigamiaddons-labs-components
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qtmultimedia,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: labs/components module for QML
 This package contains the labs/components QML module.
 A runtime QML module providing components utilities.

Package: qml6-module-org-kde-kirigamiaddons-settings
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qtqml,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: settings module for QML
 This package contains the treeview QML module.
 A runtime QML module providing settings utilities.

Package: qml6-module-org-kde-kirigamiaddons-sounds
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qtmultimedia,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: sounds module for QML
 This package contains the sounds QML module.
 A runtime QML module providing sound utilities.

Package: qml6-module-org-kde-kirigamiaddons-statefulapp
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-org-kde-kirigamiaddons-labs-components,
         qml6-module-qt-labs-platform,
         qml6-module-qtqml,
         qml6-module-qtqml-base,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: statefulapp module for QML
 This package contains the statefulapp QML module.
 A runtime QML module providing statefulapp utilities.

Package: qml6-module-org-kde-kirigamiaddons-tableview
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: tableview module for QML
 This package contains the tableview QML module.
 A runtime QML module providing tableview utilities.

Package: qml6-module-org-kde-kirigamiaddons-treeview
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         qml6-module-org-kde-desktop,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Description: treeview module for QML
 This package contains the treeview QML module.
 A runtime QML module providing treeview utilities.
