## kirigami-addons 1.6.0

=== debian/changelog ===
kirigami-addons (1.6.0-1) unstable; urgency=medium

  * New upstream release 

 -- Matthias Geiger <werdahias@debian.org>  Sun, 08 Dec 2024 15:03:17 +0100

kirigami-addons (1.5.0-1) unstable; urgency=medium

  * Team upload.

  [Matthias Geiger]
  * New upstream release
  * d/control: Update my mail address
  * d/control: Update B-D versions from CMakelists.txt
  * d/kirigami-addons-data.install: Install librarymanager6 template

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Update copyright information.
  * Solve inter-package circular loop and define formcard as recommned
    for components.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 13:30:57 +0100
